<template>
  <div class="editor">
    <ImagePreview @upload-image="reloadGallery" v-bind:imageFromGallery="selectedFromGallery" />
    <ImageGallery @select-image="reloadPreview" v-bind:upload="uploadedImage" />
  </div>
</template>
<script>
import ImagePreview from "../components/ImagePreview";
import ImageGallery from "../components/ImageGallery";
export default {
  name: "ImageEditor",
  components: {
    ImagePreview,
    ImageGallery
  },
  data() {
    return {
      selectedFromGallery: "",
      uploadedImage: false
    };
  },
  methods: {
    /**
     * Reload the gallery when an image is uploaded
     * @param{boolean} value indicates if an image have been uploaded
     */
    reloadGallery(value) {
      this.uploadedImage = value;
    },
    /**
     * Reload preview component when image change
     * @param{string} value contains the image data from gallery
     */
    reloadPreview(value) {
      this.selectedFromGallery = value;
    }
  }
};
</script>
<style lang="scss">
.editor {
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: repeat(2, auto);
  align-items: center;
  flex-direction: row;
  flex: 1 1 100%;
}
</style>